syntax = "proto3";
option go_package = ".;pb";
import "battle/battle_db.proto";
import "battle/battle_msg.proto";
// 自动战斗
message DBAutoBattle  {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  bool autoWin = 3 ; //@go_tags(`bson:"autoWin"`) 失败自动停止
  bool maxExp = 4 ; //@go_tags(`bson:"maxExp"`)雄达到满级则停止连续战斗
  bool autoBuy = 5 ; //@go_tags(`bson:"autoBuy"`) 自动购买
  int32 autoSell = 6; //@go_tags(`bson:"autoSell"`) 自动出售星级装备
  PlayType ptype = 7; // 类型
  int32 bossId = 8; //@go_tags(`bson:"bossId"`)
  int32 difficulty = 9;
  BattleFormation battle = 10;  // 阵容信息
}

